use retroweaver make jdk5 classes compatability with jdk1.4

本文介绍使用retroweaver or Retrotranslator 使在jdk5下打的jar包(使用JDK5特性)可以运行在jdk1.4下的技巧。
1)使用retroweaver 比较简单
将你要更改的jar包解压缩到一个目录
然后在命令提示符下执行如下命令
java -cp retroweaver-all-2.0.1.jar; net.sourceforge.retroweaver.Weaver -source yourJarSourcePackage
或者
java -cp retroweaver-all-2.0.1.jar net.sourceforge.retroweaver.Weaver -jar input.jar output.jar
或者使用ant命令
2)Retrotranslator的使用可以参考下边的文章:

原创文章,转载请注明: 转载自海波无痕

本文链接地址: use retroweaver make jdk5 classes compatability with jdk1.4

文章的脚注信息由WordPress的wp-posturl插件自动生成

此条目发表在javaee分类目录,贴了, , , 标签。将固定链接加入收藏夹。

发表评论

电子邮件地址不会被公开。 必填项已用*标注

评论链接可以 移除 nofollow.